      subroutine setprob
      implicit double precision (a-h,o-z)
      character*25 fname

      common /comrp/ u
      common /comsrc/ mthsrc
c
c     # Set the velocity for scalar advection
c     # This value is passed to the Riemann solver rp1.f in a common block
c
c     # Set the parameter mthsrc that determines what source term approach
c     # is used, see rp1.f
c
      iunit = 7
      fname = 'setprob.data'
c     # open the unit with new routine from Clawpack 4.4 to skip over
c     # comment lines starting with #:
      call opendatafile(iunit, fname)

      read(7,*) u
      read(7,*) mthsrc

      return
      end

